Update a review (SDK)
curl --request PATCH \
--url https://api.runflow.ai/api/v1/runtime/v1/observability/reviews/{reviewId} \
--header 'Content-Type: application/json' \
--data '
{
"resolutionNotes": "Atualizamos o prompt para incluir horários de funcionamento",
"correctedOutput": "Funcionamos de segunda a sexta, das 9h às 18h",
"comment": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.runflow.ai/api/v1/runtime/v1/observability/reviews/{reviewId}"
payload = {
"resolutionNotes": "Atualizamos o prompt para incluir horários de funcionamento",
"correctedOutput": "Funcionamos de segunda a sexta, das 9h às 18h",
"comment": "<string>",
"tags": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
resolutionNotes: 'Atualizamos o prompt para incluir horários de funcionamento',
correctedOutput: 'Funcionamos de segunda a sexta, das 9h às 18h',
comment: '<string>',
tags: ['<string>']
})
};
fetch('https://api.runflow.ai/api/v1/runtime/v1/observability/reviews/{reviewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Runtime API - Observability
Update a review (SDK)
PATCH
/
api
/
v1
/
runtime
/
v1
/
observability
/
reviews
/
{reviewId}
Update a review (SDK)
Path Parameters
Body
application/json
Status of the review workflow
Available options:
pending_review, in_progress, resolved, wont_fix Notes about the resolution
Example:
"Atualizamos o prompt para incluir horários de funcionamento"
Action taken to resolve the issue
Available options:
prompt_updated, added_to_training, knowledge_base_updated, escalated, no_action Corrected output for training purposes
Example:
"Funcionamos de segunda a sexta, das 9h às 18h"
Updated comment
Updated tags
Updated priority
Available options:
low, medium, high, critical Response
200
Review updated
⌘I